Latest post Tue, Sep 20 2022 3:38 PM by Marianna. 1 replies.
Page 1 of 1 (2 items)
Sort Posts: Previous Next
  • Tue, Sep 20 2022 2:38 PM

    • Ryan Johnson
    • Not Ranked
    • Joined on Tue, Dec 12 2006
    • New York, NY
    • Posts 67
    • Points 880

    Media Composer 2018.12.15 on MacOS Catalina (or newer)

    Hi all-

    We're being asked to run MC 2018.12.15 along with Mimiq (now owned by Hedge) to facilitate bin locking on third-party storage.

    Mimiq only runs on MacOS 10.15 (Catalina) or later, while Avid's compatibility docs claim that 2018.12.15 is only supported up to MacOS 10.14 (Mojave) and doesn't list any later OS versions.

    Is anybody successfully running 2018.12.15 on Cataina or newer? Did Avid just stop testing the older version, or is there a hard and fast reason it can't work?

    As an aside, what's the last version of Media Composer that featured the "old" style user interface?

    Thanks in advance,

    Ryan

    iMacs, MacPro's, OSX 10.14.6, MC 2019.12, Nexis 2019.12 [view my complete system specs]
  • Tue, Sep 20 2022 3:38 PM In reply to

    • Marianna
    • Top 10 Contributor
    • Joined on Thu, Oct 13 2005
    • Avid
    • Posts 11,589
    • Points 256,020
    • Avid Beta Moderators
      Avid Customer Advocate
      Avid Developer Moderator
      BlogAuthor
      SystemAdministrator

    Re: Media Composer 2018.12.15 on MacOS Catalina (or newer)

    Hey there Ryan

    No it wont work......   

    Media Composer 2018.12.x won’t support macOS Catalina and it will never support it since it would require removing a lot of 32-bit code already in 2018.x and making large changes that could have adverse effects on users who rely on 2018.x. 

    Sorry but it wont work.

    Marianna

    Sr. Director | Customer Experience [view my complete system specs]
Page 1 of 1 (2 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller